SND_PCM_LIB_FREE_(9)

NAME
snd_pcm_lib_free_pages - release the allocated DMA buffer.

SYNOPSIS

int snd_pcm_lib_free_pages (struct snd_pcm_substream * substream);

ARGUMENTS

substream
    the substream to release the DMA buffer

DESCRIPTION

Releases the DMA buffer allocated via snd_pcm_lib_malloc_pages.

Returns zero if successful, or a negative error code on failure.